Problème de mise en ligne de site avec PHP

Résolu
evangilion Messages postés 7 Date d'inscription jeudi 31 janvier 2019 Statut Membre Dernière intervention 30 mai 2024 - 29 mai 2024 à 16:36
jee pee Messages postés 39945 Date d'inscription mercredi 2 mai 2007 Statut Modérateur Dernière intervention 15 juillet 2024 - 30 mai 2024 à 15:50

Bonjour 
lorsque je rempli les champs pour mettre mon site en ligne via duplicator ce message apparait :
This server is running PHP: 5.6.40. A minimum of PHP 7.4.26 

Après avoir épluché pas mal d'articles sur ce sujet (bcp en anglais) je n'ai toujours pas réussi a résoudre ce problème lors de la mise en ligne de mon site
Il est en local avec wordpress 
Et j'utilise filezilla.

Faut il que je contacte mon hébergeur ou puis je changer les données moi même?
Car ce dernier ne me réponds pas...

Merci a tous pour vos réponse.

:)

A voir également:

9 réponses

jee pee Messages postés 39945 Date d'inscription mercredi 2 mai 2007 Statut Modérateur Dernière intervention 15 juillet 2024 9 253
29 mai 2024 à 16:56

Bonjour,

Cela va dépendre de l'hébergeur (quel est le tien ?) et des versions qu'il utilise. Par exemple chez OVH on peut choisir sur un hébergement la version utilisée.


evangilion Messages postés 7 Date d'inscription jeudi 31 janvier 2019 Statut Membre Dernière intervention 30 mai 2024
30 mai 2024 à 10:28

Merci pour cette réponse, je suis chez clicasso et utilise filezilla pour les transfert.

Je viens de modifier dans le fichier readonly.php par la version PHP 7.4.26 mais cela ne change rien.

la je suis perdu ^^

jee pee Messages postés 39945 Date d'inscription mercredi 2 mai 2007 Statut Modérateur Dernière intervention 15 juillet 2024 9 253
Modifié le 30 mai 2024 à 11:02

Si c'est la procédure indiquée pour ce site, il faut juste vérifier quelles valeurs sont possibles, la 7.4.26 ? Par exemple sur OVH je choisis 7.4 et en réalité j'ai la version 7.4.33, on ne précise que le numéro majeur de version

Déjà on peut vérifier la version en cours, faire un fichier aff_version_php.php qui contient

<?php phpinfo(); ?>

le mettre à la racine du site et lancer dans un navigateur nomdedomaine/aff_version_php.php


evangilion Messages postés 7 Date d'inscription jeudi 31 janvier 2019 Statut Membre Dernière intervention 30 mai 2024
30 mai 2024 à 11:13

Merci pour le réponse si quick.

J'ai créé le fichier et il continue de me donner cette réponse 

Your server is running PHP version 5.6.40 but WordPress 6.5.3 requires at least 7.0.0.

jee pee Messages postés 39945 Date d'inscription mercredi 2 mai 2007 Statut Modérateur Dernière intervention 15 juillet 2024 9 253
30 mai 2024 à 11:15

il reste à interroger l'hébergeur sur le paramétrage.

0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
evangilion Messages postés 7 Date d'inscription jeudi 31 janvier 2019 Statut Membre Dernière intervention 30 mai 2024
30 mai 2024 à 13:03

Hélas j'ai beaucoup de mal a joindre l'hébergeur.
Et le site doit être en ligne au max vendredi comme il y a un évènement important. C'est un site de collectif artistique avec concert, expos itou...

jee pee Messages postés 39945 Date d'inscription mercredi 2 mai 2007 Statut Modérateur Dernière intervention 15 juillet 2024 9 253
30 mai 2024 à 13:20

on ne pourra guère t'aider, et tu t'y prends trop tard.

où as tu lu qu'il fallait modifier le fichier readonly.php je n'ai pas vu de doc sur le site de ton hébergeur

0
evangilion Messages postés 7 Date d'inscription jeudi 31 janvier 2019 Statut Membre Dernière intervention 30 mai 2024
30 mai 2024 à 13:30

C'est le seul fichier ou j'ai vu le numéro de version php inscrit ....



<?php
/**
 * Conditionally declares a `readonly()` function, which was renamed
 * to `wp_readonly()` in WordPress 5.9.0.
 *
 * In order to avoid PHP parser errors, this function was extracted
 * to this separate file and is only included conditionally on PHP < 8.1.
 *
 * Including this file on PHP >= 8.1 results in a fatal error.
 *
 * @package WordPress
 * @since 5.9.0
 */

/**
 * Outputs the HTML readonly attribute.
 *
 * Compares the first two arguments and if identical marks as readonly.
 *
 * This function is deprecated, and cannot be used on PHP >= 8.1.
 *
 * @since 4.9.0
 * @deprecated 5.9.0 Use wp_readonly() introduced in 5.9.0.
 *
 * @see wp_readonly()
 *
 * @param mixed $readonly_value One of the values to compare.
 * @param mixed $current        Optional. The other value to compare if not just true.
 *                              Default true.
 * @param bool  $display        Optional. Whether to echo or just return the string.
 *                              Default true.
 * @return string HTML attribute or empty string.
 */
function readonly( $readonly_value, $current = true, $display = true ) {
    _deprecated_function( __FUNCTION__, '7.0.0.', 'wp_readonly()' );
    return wp_readonly( $readonly_value, $current, $display );
}

evangilion Messages postés 7 Date d'inscription jeudi 31 janvier 2019 Statut Membre Dernière intervention 30 mai 2024
30 mai 2024 à 13:32

l'hébergeur clicasso passe ensuite par directadmin

evangilion Messages postés 7 Date d'inscription jeudi 31 janvier 2019 Statut Membre Dernière intervention 30 mai 2024
30 mai 2024 à 13:57

Finalement j'ai trouvé, je cherchais bien loin car la modification se fait directement sur l'interface de directadmin
sur Dashboard / Domain management / Modify Domain


Merci beaucoup Jee Pee pour tes réponses apportées et ta superbe réactivité.
Et merci aussi a toute la communauté d'exister.
Du bonheur !!!

jee pee Messages postés 39945 Date d'inscription mercredi 2 mai 2007 Statut Modérateur Dernière intervention 15 juillet 2024 9 253
30 mai 2024 à 15:50

Alors bonne continuation, tu es dans les temps.